#!/usr/bin/ruby

require 'net/https'
require 'yaml'
require 'json'

readme_doc = YAML::load( File.open( './config/config.yaml' ) )
puts readme_doc

uri = URI.parse(readme_doc["global"]["discord"]["webhookurl"])
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.request_uri, {'Content-Type' => 'application/json'})
request.body = {
    "content"         => "[#{ENV['MONIT_HOST']}] #{ENV['MONIT_SERVICE']} - #{ENV['MONIT_DESCRIPTION']}"
}.to_json
response = http.request(request)
puts response.body